#pragma once
#include <vector>

bool task1(int, int, std::vector<std::pair<std::pair<int, int>, bool>>);
long long task2(std::vector<long long>);
long long task3(std::vector<long long>);
long long task4(std::vector<long long>);
long long task5(std::vector<long long>);
long long task6(std::vector<long long>);
long long task7(std::vector<long long>);
std::vector<long long> task8(std::vector<long long>);
long long task9(std::vector<long long>);
long long task10(std::vector<long long>);